Index: /bidspace/src/main/java/geniusweb/bidspace/AllBidsList.java
===================================================================
--- /bidspace/src/main/java/geniusweb/bidspace/AllBidsList.java	(revision 23)
+++ /bidspace/src/main/java/geniusweb/bidspace/AllBidsList.java	(revision 24)
@@ -26,6 +26,8 @@
 
 	/**
-	 * A list containing all bids in the space. This is an ImmutableList so it
-	 * can contain all bids without pre-computing them.
+	 * This object contains s list containing all bids in the space. This is an
+	 * ImmutableList so it can contain all bids without pre-computing them.
+	 * 
+	 * @param domain the {@link Domain}
 	 * 
 	 */
Index: /bidspace/src/main/java/geniusweb/bidspace/AllPartialBidsList.java
===================================================================
--- /bidspace/src/main/java/geniusweb/bidspace/AllPartialBidsList.java	(revision 23)
+++ /bidspace/src/main/java/geniusweb/bidspace/AllPartialBidsList.java	(revision 24)
@@ -32,4 +32,5 @@
 	 * pre-computing them.
 	 * 
+	 * @param domain the {@link Domain}
 	 */
 	public AllPartialBidsList(Domain domain) {
Index: /bidspace/src/main/java/geniusweb/bidspace/BidsWithUtility.java
===================================================================
--- /bidspace/src/main/java/geniusweb/bidspace/BidsWithUtility.java	(revision 23)
+++ /bidspace/src/main/java/geniusweb/bidspace/BidsWithUtility.java	(revision 24)
@@ -43,5 +43,5 @@
 	 * Default constructor, uses default precision 6. This value seems practical
 	 * for the common range of issues, utilities and weights. See
-	 * {@link #BidsWithUtil(LinearAdditive, int)} for more details on the
+	 * {@link #BidsWithUtility(LinearAdditive, int)} for more details on the
 	 * precision.
 	 * 
@@ -73,6 +73,4 @@
 	 *                  digits should be feasible; for 9 issues, 6 digits may be
 	 *                  the maximum.
-	 *                  <p>
-	 * 
 	 */
 	public BidsWithUtility(LinearAdditive space, int precision) {
@@ -138,6 +136,6 @@
 	 * utilities in given range.
 	 * 
-	 * @param n    the number of {@link #issueRanges} to consider, we consider
-	 *             0..n here. The recursion decreases n until n=0
+	 * @param n    the number of issueRanges to consider, we consider 0..n here.
+	 *             The recursion decreases n until n=0
 	 * @param goal the minimum and maximum utility required of the bids. to be
 	 *             included (both ends inclusive)
Index: /bidspace/src/main/java/geniusweb/bidspace/Interval.java
===================================================================
--- /bidspace/src/main/java/geniusweb/bidspace/Interval.java	(revision 23)
+++ /bidspace/src/main/java/geniusweb/bidspace/Interval.java	(revision 24)
@@ -16,9 +16,9 @@
 
 	/**
-	 * AN interval [min,max]. If min>max, then there are no values in this
+	 * AN interval [min,max]. If min &gt; max, then there are no values in this
 	 * interval.
 	 * 
-	 * @param min
-	 * @param max
+	 * @param min the minimum value of the interval
+	 * @param max the maximum value of the interval
 	 */
 	public Interval(BigDecimal min, BigDecimal max) {
@@ -49,5 +49,5 @@
 	 * 
 	 * @param value the value to test
-	 * @return true iff min<=value<=max
+	 * @return true iff min &le; value &le; max
 	 */
 	public boolean contains(BigDecimal value) {
@@ -66,6 +66,7 @@
 	/**
 	 * 
-	 * @param minMax another minMax to intersect with
-	 * @return intersection with other. returns null if intersection is empty.
+	 * @param other another {@link Interval} intersect with
+	 * @return intersection of this with other. returns null if intersection is
+	 *         empty.
 	 */
 	public Interval intersect(Interval other) {
Index: /bidspace/src/main/java/geniusweb/bidspace/IssueInfo.java
===================================================================
--- /bidspace/src/main/java/geniusweb/bidspace/IssueInfo.java	(revision 23)
+++ /bidspace/src/main/java/geniusweb/bidspace/IssueInfo.java	(revision 24)
@@ -26,4 +26,14 @@
 	private final Map<Value, BigDecimal> weightedUtils;
 
+	/**
+	 * 
+	 * @param name      the issue name
+	 * @param values    the {@link ValueSet} of the issue
+	 * @param utils     the {@link ValueSetUtilities} of the issue profile
+	 * @param weight    the weight of the {@link ValueSetUtilities}
+	 * @param precision the precision to compute with. Basically the number of
+	 *                  decimal places used for the computations.
+	 * 
+	 */
 	public IssueInfo(String name, ValueSet values, ValueSetUtilities utils,
 			BigDecimal weight, int precision) {
@@ -45,5 +55,5 @@
 	 * 
 	 * @return weighted minimum and maximum utility achievable with this issue,
-	 *         rounded to the {@link #precision}.
+	 *         rounded to the requested precision.
 	 */
 	public Interval getInterval() {
@@ -53,5 +63,6 @@
 	/**
 	 * 
-	 * @param isMax
+	 * @param isMax if true the max {@link Value} is returned, else the min is
+	 *              returned.
 	 * @return the extreme value, either the minimum if isMax=false or maximum
 	 *         if isMax=true
@@ -86,5 +97,5 @@
 	 * @param val the issue value to be evaluated
 	 * @return weighted utility of given value, rounded to nearest value with
-	 *         {@link #precision} digits.
+	 *         the requested precision number of digits.
 	 */
 	public BigDecimal getWeightedUtil(Value val) {
Index: /boa/src/main/java/geniusweb/boa/BoaState.java
===================================================================
--- /boa/src/main/java/geniusweb/boa/BoaState.java	(revision 23)
+++ /boa/src/main/java/geniusweb/boa/BoaState.java	(revision 24)
@@ -38,4 +38,6 @@
 	/**
 	 * Initial state. Update using with(settings).
+	 * 
+	 * @param reporter the {@link Reporter} to use for logging
 	 */
 	public BoaState(Reporter reporter) {
@@ -83,9 +85,8 @@
 	 * This should be the first update call used.
 	 * 
-	 * @param settings    the negoi {@link Settings}
+	 * @param newsettings the negoi {@link Settings}
 	 * @param bidstrat    the {@link BiddingStrategy}
 	 * @param acceptstrat the {@link AcceptanceStrategy}
 	 * @param omClass     the class of the {@link OpponentModel}
-	 * @param reporter    the {@link Reporter} that can be used to log messages
 	 * @return initialized BoaState
 	 */
@@ -175,5 +176,5 @@
 	/**
 	 * 
-	 * @param bid
+	 * @param bid the {@link Bid} to check
 	 * @return true iff {@link #acceptanceStrategy} says the bid is acceptable
 	 */
Index: /boa/src/main/java/geniusweb/boa/DefaultBoa.java
===================================================================
--- /boa/src/main/java/geniusweb/boa/DefaultBoa.java	(revision 23)
+++ /boa/src/main/java/geniusweb/boa/DefaultBoa.java	(revision 24)
@@ -106,4 +106,6 @@
 	 * @param settings the {@link Settings}
 	 * @return the {@link OpponentModel} class to use for modeling opponents
+	 * @throws InstantiationFailedException if the requested opponent model can
+	 *                                      not be loaded
 	 */
 	abstract protected Class<? extends OpponentModel> getOpponentModel(
@@ -117,4 +119,6 @@
 	 * @return the {@link BiddingStrategy} to use for determining the next
 	 *         {@link Action}
+	 * @throws InstantiationFailedException if the requested opponent model can
+	 *                                      not be loaded
 	 */
 	abstract protected BiddingStrategy getBiddingStrategy(Settings settings)
@@ -128,4 +132,6 @@
 	 * @return the {@link AcceptanceStrategy} to use for determining if a bid is
 	 *         acceptable
+	 * @throws InstantiationFailedException if the requested opponent model can
+	 *                                      not be loaded
 	 */
 	abstract protected AcceptanceStrategy getAccceptanceStrategy(
Index: /boa/src/main/java/geniusweb/boa/biddingstrategy/ExtendedUtilSpace.java
===================================================================
--- /boa/src/main/java/geniusweb/boa/biddingstrategy/ExtendedUtilSpace.java	(revision 23)
+++ /boa/src/main/java/geniusweb/boa/biddingstrategy/ExtendedUtilSpace.java	(revision 24)
@@ -93,5 +93,5 @@
 
 	/**
-	 * @param utilityGoal
+	 * @param utilityGoal the intended utilty
 	 * @return bids with utility inside [utilitygoal-tolerance, utilitygoal]
 	 */
Index: /boa/src/main/java/geniusweb/boa/biddingstrategy/TimeDependentBiddingStrategy.java
===================================================================
--- /boa/src/main/java/geniusweb/boa/biddingstrategy/TimeDependentBiddingStrategy.java	(revision 23)
+++ /boa/src/main/java/geniusweb/boa/biddingstrategy/TimeDependentBiddingStrategy.java	(revision 24)
@@ -242,5 +242,5 @@
 	 * Overridable eg for tests
 	 * 
-	 * @param profile
+	 * @param profile a {@link LinearAdditive} profile
 	 * 
 	 * @return {@link ExtendedUtilSpace}
Index: /collectparties.sh
===================================================================
--- /collectparties.sh	(revision 23)
+++ /collectparties.sh	(revision 24)
@@ -7,5 +7,5 @@
 rm -rf collectedparties
 mkdir collectedparties
-VERSION=1.5.2
+VERSION=1.5.3
 
 cp "exampleparties/anac2019/agentgg/target/agentgg-${VERSION}-jar-with-dependencies.jar" collectedparties
Index: /events/src/main/java/geniusweb/actions/Votes.java
===================================================================
--- /events/src/main/java/geniusweb/actions/Votes.java	(revision 23)
+++ /events/src/main/java/geniusweb/actions/Votes.java	(revision 24)
@@ -57,5 +57,6 @@
 	 * with power at most P.
 	 * 
-	 * @param otherVotes
+	 * @param otherVotes the {@link Votes}, usually from a previous round, that
+	 *                   this should extend.
 	 * @return true iff this extends the otherVotes.
 	 */
@@ -65,7 +66,6 @@
 		for (Vote vote : otherVotes.getVotes()) {
 			Vote myvote = getVote(vote.getBid());
-			if (myvote == null)
-				return false;
-			if (myvote.getMinPower() > vote.getMinPower())
+			if (myvote == null || myvote.getMinPower() > vote.getMinPower()
+					|| myvote.getMaxPower() < vote.getMaxPower())
 				return false;
 		}
Index: /events/src/main/java/geniusweb/events/ActionEvent.java
===================================================================
--- /events/src/main/java/geniusweb/events/ActionEvent.java	(revision 23)
+++ /events/src/main/java/geniusweb/events/ActionEvent.java	(revision 24)
@@ -18,5 +18,5 @@
 	/**
 	 * 
-	 * @param action
+	 * @param action the {@link Action} that was done
 	 * @param time   the current time to use. see
 	 *               {@link System#currentTimeMillis()}.
Index: /events/src/main/java/geniusweb/events/NegotiationEvent.java
===================================================================
--- /events/src/main/java/geniusweb/events/NegotiationEvent.java	(revision 23)
+++ /events/src/main/java/geniusweb/events/NegotiationEvent.java	(revision 24)
@@ -6,4 +6,6 @@
 import com.fasterxml.jackson.annotation.JsonTypeInfo;
 import com.fasterxml.jackson.annotation.JsonTypeInfo.As;
+
+import geniusweb.actions.Action;
 
 /**
Index: /events/src/main/java/geniusweb/inform/Agreements.java
===================================================================
--- /events/src/main/java/geniusweb/inform/Agreements.java	(revision 23)
+++ /events/src/main/java/geniusweb/inform/Agreements.java	(revision 24)
@@ -51,6 +51,6 @@
 
 	/**
-	 * @param bid
-	 * @param parties
+	 * @param bid     a {@link Bid} to be added
+	 * @param parties {@link Set} of the {@link PartyId}s that accepted the bid
 	 * @return new Agreements, with the new bid/parties added.
 	 */
Index: /events/src/main/java/geniusweb/inform/Finished.java
===================================================================
--- /events/src/main/java/geniusweb/inform/Finished.java	(revision 23)
+++ /events/src/main/java/geniusweb/inform/Finished.java	(revision 24)
@@ -15,9 +15,10 @@
 	 * The session finished (can be for any reason).
 	 * 
-	 * @param agreedBid the bid that was finally agreed on; null if no
-	 *                  agreement.
+	 * @param agreements the {@link Agreements} that were finally agreed on.
 	 */
 	@JsonCreator
 	public Finished(@JsonProperty("agreements") Agreements agreements) {
+		if (agreements == null)
+			throw new NullPointerException("Agreements can't be null");
 		this.agreements = agreements;
 	}
Index: /events/src/main/java/geniusweb/inform/Inform.java
===================================================================
--- /events/src/main/java/geniusweb/inform/Inform.java	(revision 23)
+++ /events/src/main/java/geniusweb/inform/Inform.java	(revision 24)
@@ -7,5 +7,5 @@
 
 /**
- * base class of all information sent to the {@link Party}
+ * base class of all information sent to a Party
  */
 @JsonTypeInfo(use = JsonTypeInfo.Id.NAME, include = JsonTypeInfo.As.WRAPPER_OBJECT)
Index: /events/src/main/java/geniusweb/inform/Settings.java
===================================================================
--- /events/src/main/java/geniusweb/inform/Settings.java	(revision 23)
+++ /events/src/main/java/geniusweb/inform/Settings.java	(revision 24)
@@ -2,4 +2,5 @@
 
 import java.util.HashMap;
+import java.util.Map;
 
 import com.fasterxml.jackson.annotation.JsonCreator;
@@ -13,7 +14,6 @@
 
 /**
- * Informs a {@link Party} about all settings for the upcoming negotiation
- * session. This should be sent to a party one time, so that the party knows the
- * situation.
+ * Informs a Party about all settings for the upcoming negotiation session. This
+ * should be sent to a party one time, so that the party knows the situation.
  *
  */
@@ -31,10 +31,10 @@
 	 * @param protocol   the protocol used in this session
 	 * @param progress   the {@link Progress} object used for this session
-	 * @param parameters a Map<String, Object> containing initialization
-	 *                   parameters for this party. The Object can be a HashMap,
-	 *                   ArrayList, String, or number (Integer, Double, etc).
-	 *                   The Object should not be just any Object because
-	 *                   deserialization will work only with the mentioned
-	 *                   types.
+	 * @param parameters a {@link Map} &lt;String, Object&gt; containing
+	 *                   initialization parameters for this party. The Object
+	 *                   can be a HashMap, ArrayList, String, or number
+	 *                   (Integer, Double, etc). The Object should not be just
+	 *                   any Object because deserialization will work only with
+	 *                   the mentioned types.
 	 */
 	@JsonCreator
@@ -85,6 +85,6 @@
 	/**
 	 * 
-	 * @return a HashMap<String,Object> containing initialization parameters
-	 *         that can be used by the party.
+	 * @return a {@link HashMap}&lt;String,Object&gt; containing initialization
+	 *         parameters that can be used by the party.
 	 */
 	public HashMap<String, Object> getParameters() {
Index: /events/src/test/java/actions/VotesTest.java
===================================================================
--- /events/src/test/java/actions/VotesTest.java	(revision 23)
+++ /events/src/test/java/actions/VotesTest.java	(revision 24)
@@ -94,9 +94,46 @@
 
 	@Test
-	public void isExtendingTestLessPower() {
-		Vote powervoteA1 = new Vote(partyA, bid1, 3, 9);
-		Votes powerVotes = new Votes(partyA, Arrays.asList(powervoteA1));
-		assertFalse(powerVotes.isExtending(votes1));
-		assertTrue(votes1.isExtending(powerVotes));
+	public void isExtendingIdenticalVotes() {
+		assertTrue(votes1.isExtending(votes1));
+	}
+
+	@Test
+	public void isReallyExtendingVotesMin() {
+		Vote powervoteA1 = new Vote(partyA, bid1, 1, 9);
+		Votes powerVotes = new Votes(partyA,
+				Arrays.asList(powervoteA1, voteA2));
+		assertTrue(powerVotes.isExtending(votes1));
+	}
+
+	@Test
+	public void isReallyExtendingVotesMax() {
+		Vote powervoteA1 = new Vote(partyA, bid1, 2, 10);
+		Votes powerVotes = new Votes(partyA,
+				Arrays.asList(powervoteA1, voteA2));
+		assertTrue(powerVotes.isExtending(votes1));
+	}
+
+	@Test
+	public void IsNarrowingOneVoteRemoved() {
+		Votes narrowVotes = new Votes(partyA, Arrays.asList(voteA2));
+		assertFalse(narrowVotes.isExtending(votes1));
+	}
+
+	@Test
+	public void isNarrowingTestMoreMinPower() {
+		Vote narrowVoteA1 = new Vote(partyA, bid1, 3, 9);
+		Votes narrowVotes = new Votes(partyA,
+				Arrays.asList(narrowVoteA1, voteA2));
+		assertFalse(narrowVotes.isExtending(votes1));
+		assertTrue(votes1.isExtending(narrowVotes));
+	}
+
+	@Test
+	public void isNarrowingLessMaxPower() {
+		Vote powervoteA1 = new Vote(partyA, bid1, 2, 8);
+		Votes narrowVotes = new Votes(partyA,
+				Arrays.asList(powervoteA1, voteA2));
+		assertFalse(narrowVotes.isExtending(votes1));
+		assertTrue(votes1.isExtending(narrowVotes));
 	}
 
Index: /exampleparties/anac2019/agentgg/src/main/java/geniusweb/exampleparties/agentgg/ImpMap.java
===================================================================
--- /exampleparties/anac2019/agentgg/src/main/java/geniusweb/exampleparties/agentgg/ImpMap.java	(revision 23)
+++ /exampleparties/anac2019/agentgg/src/main/java/geniusweb/exampleparties/agentgg/ImpMap.java	(revision 24)
@@ -63,5 +63,5 @@
 	 * "weight sum" and "number of times" in the import table.
 	 * 
-	 * @param bids a list of ordered bids, worst bid first, best bid last
+	 * @param bidOrdering a list of ordered bids, worst bid first, best bid last
 	 */
 	public void self_update(List<Bid> bidOrdering) {
@@ -116,5 +116,5 @@
 	 * @param bid the bid to get the importance (utility?) of.
 	 * @return the importance value of bid. Note, this this returns possibly
-	 *         large (>1) values, as the importance is not normalized.
+	 *         large (&gt;1) values, as the importance is not normalized.
 	 */
 	public double getImportance(Bid bid) {
Index: /exampleparties/anac2019/agentgg/src/main/java/geniusweb/exampleparties/agentgg/SimpleLinearOrdering.java
===================================================================
--- /exampleparties/anac2019/agentgg/src/main/java/geniusweb/exampleparties/agentgg/SimpleLinearOrdering.java	(revision 23)
+++ /exampleparties/anac2019/agentgg/src/main/java/geniusweb/exampleparties/agentgg/SimpleLinearOrdering.java	(revision 24)
@@ -67,5 +67,5 @@
 	/**
 	 * 
-	 * @param bid
+	 * @param bid a {@link Bid}
 	 * @return true iff bid is contained in this ordering
 	 */
Index: /exampleparties/anac2019/agentgg/src/test/java/geniusweb/exampleparties/agentgg/AgentGGTest.java
===================================================================
--- /exampleparties/anac2019/agentgg/src/test/java/geniusweb/exampleparties/agentgg/AgentGGTest.java	(revision 23)
+++ /exampleparties/anac2019/agentgg/src/test/java/geniusweb/exampleparties/agentgg/AgentGGTest.java	(revision 24)
@@ -35,4 +35,5 @@
 import geniusweb.connection.ConnectionEnd;
 import geniusweb.inform.ActionDone;
+import geniusweb.inform.Agreements;
 import geniusweb.inform.Finished;
 import geniusweb.inform.Inform;
@@ -180,8 +181,11 @@
 		party.connect(connection);
 		party.notifyChange(settings);
-		party.notifyChange(new Finished(null));
+
+		Agreements agreements = mock(Agreements.class);
+		when(agreements.toString()).thenReturn("agree");
+		party.notifyChange(new Finished(agreements));
 
 		verify(reporter).log(eq(Level.INFO),
-				eq("Final ourcome:Finished[null]"));
+				eq("Final ourcome:Finished[agree]"));
 	}
 
Index: /exampleparties/anac2019/winkyagent/src/main/java/geniusweb/exampleparties/anac2019/winkyagent/SimpleLinearOrdering.java
===================================================================
--- /exampleparties/anac2019/winkyagent/src/main/java/geniusweb/exampleparties/anac2019/winkyagent/SimpleLinearOrdering.java	(revision 23)
+++ /exampleparties/anac2019/winkyagent/src/main/java/geniusweb/exampleparties/anac2019/winkyagent/SimpleLinearOrdering.java	(revision 24)
@@ -29,5 +29,5 @@
 	/**
 	 * 
-	 * @param domain
+	 * @param domain the {@link Domain}
 	 * @param bids   a list of bids, ordered from lowest to highest util. The
 	 *               first bid will have utility 0, the last utility 1. If only
@@ -67,5 +67,5 @@
 	/**
 	 * 
-	 * @param bid
+	 * @param bid the {@link Bid}
 	 * @return true iff bid is contained in this ordering
 	 */
@@ -84,5 +84,5 @@
 	/**
 	 * 
-	 * @param profile
+	 * @param profile the {@link Profile}
 	 * @return a list of bids in the profile sorted from low to high utility.
 	 */
Index: /exampleparties/anac2019/winkyagent/src/test/java/geniusweb/exampleparties/anac2019/winkyagent/WinkyAgentTest.java
===================================================================
--- /exampleparties/anac2019/winkyagent/src/test/java/geniusweb/exampleparties/anac2019/winkyagent/WinkyAgentTest.java	(revision 23)
+++ /exampleparties/anac2019/winkyagent/src/test/java/geniusweb/exampleparties/anac2019/winkyagent/WinkyAgentTest.java	(revision 24)
@@ -35,4 +35,5 @@
 import geniusweb.connection.ConnectionEnd;
 import geniusweb.inform.ActionDone;
+import geniusweb.inform.Agreements;
 import geniusweb.inform.Finished;
 import geniusweb.inform.Inform;
@@ -174,8 +175,11 @@
 		party.connect(connection);
 		party.notifyChange(settings);
-		party.notifyChange(new Finished(null));
+
+		Agreements agreements = mock(Agreements.class);
+		when(agreements.toString()).thenReturn("agree");
+		party.notifyChange(new Finished(agreements));
 
 		verify(reporter).log(eq(Level.INFO),
-				eq("Final ourcome:Finished[null]"));
+				eq("Final ourcome:Finished[agree]"));
 	}
 
Index: /exampleparties/humangui/src/main/java/geniusweb/exampleparties/humangui/BiddingInfo.java
===================================================================
--- /exampleparties/humangui/src/main/java/geniusweb/exampleparties/humangui/BiddingInfo.java	(revision 23)
+++ /exampleparties/humangui/src/main/java/geniusweb/exampleparties/humangui/BiddingInfo.java	(revision 24)
@@ -32,5 +32,5 @@
  * <li>{@link Bid} if user changed his prepared bid (but did not yet offer it)
  * <li>{@link Profile} if the profile was changed
- * <li>{@Link Boolean} if the isMyTurn value changed.
+ * <li>{@link Boolean} if the isMyTurn value changed.
  * </ul>
  */
@@ -57,5 +57,6 @@
 	 * @param reporter   the {@link Reporter} where we can log issues.
 	 * @param profileint the {@link ProfileInterface}
-	 * @throws Exception if we can not reach the protocol server
+	 * @throws IOException         if we can not reach the protocol server
+	 * @throws DeploymentException if we can not reach the protocol server
 	 */
 	public BiddingInfo(Settings settings,
@@ -97,6 +98,4 @@
 	 * 
 	 * @param action the action to execute.
-	 * @throws IOException           if action can not be sent.
-	 * @throws IllegalStateException if isMyTurn is false.
 	 */
 	public void doAction(Action action) {
Index: /exampleparties/humangui/src/test/java/geniusweb/exampleparties/humangui/HumanGuiTest.java
===================================================================
--- /exampleparties/humangui/src/test/java/geniusweb/exampleparties/humangui/HumanGuiTest.java	(revision 23)
+++ /exampleparties/humangui/src/test/java/geniusweb/exampleparties/humangui/HumanGuiTest.java	(revision 24)
@@ -6,4 +6,5 @@
 import static org.junit.Assert.assertTrue;
 import static org.mockito.Mockito.mock;
+import static org.mockito.Mockito.when;
 
 import java.io.IOException;
@@ -28,4 +29,5 @@
 import geniusweb.bidspace.AllBidsList;
 import geniusweb.inform.ActionDone;
+import geniusweb.inform.Agreements;
 import geniusweb.inform.Finished;
 import geniusweb.inform.Settings;
@@ -76,5 +78,7 @@
 	@After
 	public void after() {
-		party.notifyChange(new Finished(null));
+		Agreements agreements = mock(Agreements.class);
+		when(agreements.toString()).thenReturn("agree");
+		party.notifyChange(new Finished(agreements));
 	}
 
Index: /exampleparties/randomparty/src/main/java/geniusweb/exampleparties/randomparty/RandomParty.java
===================================================================
--- /exampleparties/randomparty/src/main/java/geniusweb/exampleparties/randomparty/RandomParty.java	(revision 23)
+++ /exampleparties/randomparty/src/main/java/geniusweb/exampleparties/randomparty/RandomParty.java	(revision 24)
@@ -40,5 +40,6 @@
  * with sufficient utility.
  * <h2>parameters</h2>
- * <table>
+ * <table >
+ * <caption>parameters</caption>
  * <tr>
  * <td>minPower</td>
Index: /exampleparties/randomparty/src/test/java/geniusweb/exampleparties/randomparty/RandomPartyTest.java
===================================================================
--- /exampleparties/randomparty/src/test/java/geniusweb/exampleparties/randomparty/RandomPartyTest.java	(revision 23)
+++ /exampleparties/randomparty/src/test/java/geniusweb/exampleparties/randomparty/RandomPartyTest.java	(revision 24)
@@ -8,4 +8,5 @@
 import static org.mockito.Mockito.mock;
 import static org.mockito.Mockito.verify;
+import static org.mockito.Mockito.when;
 
 import java.io.IOException;
@@ -38,4 +39,5 @@
 import geniusweb.connection.ConnectionEnd;
 import geniusweb.inform.ActionDone;
+import geniusweb.inform.Agreements;
 import geniusweb.inform.Finished;
 import geniusweb.inform.Inform;
@@ -163,8 +165,10 @@
 		party.connect(connection);
 		party.notifyChange(settings);
-		party.notifyChange(new Finished(null));
+		Agreements agreements = mock(Agreements.class);
+		when(agreements.toString()).thenReturn("agree");
+		party.notifyChange(new Finished(agreements));
 
 		verify(reporter).log(eq(Level.INFO),
-				eq("Final ourcome:Finished[null]"));
+				eq("Final ourcome:Finished[agree]"));
 	}
 
Index: /exampleparties/simpleboa/src/test/java/geniusweb/exampleparties/simpleboa/SimpleBoaTest.java
===================================================================
--- /exampleparties/simpleboa/src/test/java/geniusweb/exampleparties/simpleboa/SimpleBoaTest.java	(revision 23)
+++ /exampleparties/simpleboa/src/test/java/geniusweb/exampleparties/simpleboa/SimpleBoaTest.java	(revision 24)
@@ -37,4 +37,5 @@
 import geniusweb.connection.ConnectionEnd;
 import geniusweb.inform.ActionDone;
+import geniusweb.inform.Agreements;
 import geniusweb.inform.Finished;
 import geniusweb.inform.Inform;
@@ -164,8 +165,11 @@
 		party.connect(connection);
 		party.notifyChange(settings);
-		party.notifyChange(new Finished(null));
+
+		Agreements agreements = mock(Agreements.class);
+		when(agreements.toString()).thenReturn("agree");
+		party.notifyChange(new Finished(agreements));
 
 		verify(reporter).log(eq(Level.INFO),
-				eq("Final ourcome:Finished[null]"));
+				eq("Final ourcome:Finished[agree]"));
 	}
 
Index: /exampleparties/simpleshaop/src/main/java/geniusweb/exampleparties/simpleshaop/ShaopParty.java
===================================================================
--- /exampleparties/simpleshaop/src/main/java/geniusweb/exampleparties/simpleshaop/ShaopParty.java	(revision 23)
+++ /exampleparties/simpleshaop/src/main/java/geniusweb/exampleparties/simpleshaop/ShaopParty.java	(revision 24)
@@ -38,5 +38,5 @@
  * created.
  * <p>
- * <b>Requirement<b> the initial {@link PartialOrdering} must contain at least
+ * <b>Requirement</b> the initial {@link PartialOrdering} must contain at least
  * the bids with lowest utility and highest utility, and the proper comparison
  * info for these two bids.
Index: /exampleparties/simpleshaop/src/main/java/geniusweb/exampleparties/simpleshaop/SimpleLinearOrdering.java
===================================================================
--- /exampleparties/simpleshaop/src/main/java/geniusweb/exampleparties/simpleshaop/SimpleLinearOrdering.java	(revision 23)
+++ /exampleparties/simpleshaop/src/main/java/geniusweb/exampleparties/simpleshaop/SimpleLinearOrdering.java	(revision 24)
@@ -21,5 +21,8 @@
 
 	private final Domain domain;
-	private final List<Bid> bids; // worst bid first, best bid last.
+	/**
+	 * List of bids. worst bid first, best bid last.
+	 */
+	private final List<Bid> bids;
 
 	SimpleLinearOrdering(Profile profile) {
@@ -29,5 +32,5 @@
 	/**
 	 * 
-	 * @param domain
+	 * @param domain The {@link Domain}
 	 * @param bids   a list of bids, ordered from lowest to highest util. The
 	 *               first bid will have utility 0, the last utility 1. If only
@@ -67,5 +70,5 @@
 	/**
 	 * 
-	 * @param bid
+	 * @param bid the {@link Bid}
 	 * @return true iff bid is contained in this ordering
 	 */
@@ -84,5 +87,5 @@
 	/**
 	 * 
-	 * @param profile
+	 * @param profile the {@link Profile}
 	 * @return a list of bids in the profile sorted from low to high utility.
 	 */
@@ -108,9 +111,9 @@
 
 	/**
-	 * @param bid       a new bid to be inserted
+	 * @param bid       a new {@link Bid} to be inserted
 	 * @param worseBids all bids that are worse than this bid.
-	 * @return a SimpleLinearOrdering, updated with the given comparison. Thee
-	 *         bid will be inserted after the first bid that is not worse than
-	 *         bid.
+	 * @return a {@link SimpleLinearOrdering}, updated with the given
+	 *         comparison. Thee bid will be inserted after the first bid that is
+	 *         not worse than bid.
 	 */
 	public SimpleLinearOrdering with(Bid bid, List<Bid> worseBids) {
Index: /exampleparties/simpleshaop/src/test/java/geniusweb/exampleparties/simpleshaop/ShaopPartyTest.java
===================================================================
--- /exampleparties/simpleshaop/src/test/java/geniusweb/exampleparties/simpleshaop/ShaopPartyTest.java	(revision 23)
+++ /exampleparties/simpleshaop/src/test/java/geniusweb/exampleparties/simpleshaop/ShaopPartyTest.java	(revision 24)
@@ -8,4 +8,5 @@
 import static org.mockito.Mockito.mock;
 import static org.mockito.Mockito.verify;
+import static org.mockito.Mockito.when;
 
 import java.io.IOException;
@@ -37,4 +38,5 @@
 import geniusweb.connection.ConnectionEnd;
 import geniusweb.inform.ActionDone;
+import geniusweb.inform.Agreements;
 import geniusweb.inform.Finished;
 import geniusweb.inform.Inform;
@@ -178,8 +180,11 @@
 		party.connect(connection);
 		party.notifyChange(settings);
-		party.notifyChange(new Finished(null));
+
+		Agreements agreements = mock(Agreements.class);
+		when(agreements.toString()).thenReturn("agree");
+		party.notifyChange(new Finished(agreements));
 
 		verify(reporter).log(eq(Level.INFO),
-				eq("Final ourcome:Finished[null]"));
+				eq("Final ourcome:Finished[agree]"));
 	}
 
Index: /exampleparties/timedependentparty/src/main/java/geniusweb/exampleparties/timedependentparty/ExtendedUtilSpace.java
===================================================================
--- /exampleparties/timedependentparty/src/main/java/geniusweb/exampleparties/timedependentparty/ExtendedUtilSpace.java	(revision 23)
+++ /exampleparties/timedependentparty/src/main/java/geniusweb/exampleparties/timedependentparty/ExtendedUtilSpace.java	(revision 24)
@@ -21,5 +21,9 @@
 public class ExtendedUtilSpace {
 	private LinearAdditive utilspace;
-	private BigDecimal tolerance; // utility tolerance for a bid.
+	/**
+	 * The tolerance for a utility. Generally utilities can be this amount
+	 * smaller than requested. See also {@link #computeTolerance()}.
+	 */
+	private BigDecimal tolerance;
 	private BidsWithUtility bidutils;
 	// min and max achievable utility
@@ -92,6 +96,7 @@
 
 	/**
-	 * @param utilityGoal
-	 * @return bids with utility inside [utilitygoal-tolerance, utilitygoal]
+	 * @param utilityGoal the requested utility
+	 * @return bids with utility inside [utilitygoal-{@link #tolerance},
+	 *         utilitygoal]
 	 */
 	public ImmutableList<Bid> getBids(BigDecimal utilityGoal) {
